View Issue Details

IDProjectCategoryView StatusLast Update
0003376HTML & PERLFeature Request - Interfacepublic2019-12-12 14:43
ReporterVainNihilist Assigned ToDerIdiot  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0003376: CRC/Hash Status description consistency
DescriptionMass add files (Add New Release) page: Description for "CRC/Hash Status" states that it "Needs CRC in the filename" which is required for that form, however wiki describes other allowed sources for official hash (e.g. .md5 hash file).

Edit File page: Uses radio buttons instead of dropdown selection. Link to wiki section is incorrect, ending in "#CRC_status".

Current wiki link:
https://wiki.anidb.net/w/Content:Files#CRC.2Fhash_status
Additional InformationSome history in https://tracker.anidb.net/view.php?id=2340
TagsNo tags attached.

Activities

VainNihilist

2019-08-21 11:03

reporter  

VainNihilist

2019-08-21 11:09

reporter   ~0004382

Suggest making this a dropdown menu in both locations.


Unrelated: inconsistent inclusion of colon on metadata headings on Edit File page.

VainNihilist

2019-08-21 11:25

reporter   ~0004383

On the File metadata page:
- "CRC/Hash Status" is not immediately apparent as it is appended to "Released By".
- possible confusion with "CRC/Status" field which is "verified" by API client (e.g. Avdump2).

File metadata page.JPG (57,186 bytes)
File metadata page.JPG (57,186 bytes)

DerIdiot

2019-12-12 14:43

administrator   ~0004393

The note in the massadd form is not a requirement as such and more a technical guideline. As we try to minimize manual insertion of data for files inserting the crc by hand for each entry would be a waste of time. At the same time we require the crc field for be filled when the hash status is set.
Hence you can't set the status without having the crc filled. Which you can only do in the mass add form if you have them as a filename tag.
I hope you see the issue. Most releases feature properly named files and hence this isn't a large issue and for instances where md5 files are provided a mod can easily mass set the files in quesiton to verified if he gets contacted.

Issue History

Date Modified Username Field Change
2019-08-21 11:03 VainNihilist New Issue
2019-08-21 11:03 VainNihilist File Added: Add New Release CRC-Hash Status description.JPG
2019-08-21 11:03 VainNihilist File Added: Edit File CRC-Hash Status description.JPG
2019-08-21 11:09 VainNihilist File Added: Edit File metadata headings.JPG
2019-08-21 11:09 VainNihilist Note Added: 0004382
2019-08-21 11:25 VainNihilist File Added: File metadata page (2).JPG
2019-08-21 11:25 VainNihilist File Added: File metadata page.JPG
2019-08-21 11:25 VainNihilist Note Added: 0004383
2019-08-24 16:58 VainNihilist Severity text => minor
2019-08-25 01:00 VainNihilist Description Updated View Revisions
2019-12-12 14:43 DerIdiot Assigned To => DerIdiot
2019-12-12 14:43 DerIdiot Status new => resolved
2019-12-12 14:43 DerIdiot Resolution open => fixed
2019-12-12 14:43 DerIdiot Note Added: 0004393